summaryrefslogtreecommitdiffstats
path: root/source/t/texlive/texlive.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/t/texlive/texlive.SlackBuild')
-rwxr-xr-xsource/t/texlive/texlive.SlackBuild58
1 files changed, 15 insertions, 43 deletions
diff --git a/source/t/texlive/texlive.SlackBuild b/source/t/texlive/texlive.SlackBuild
index 7fa89ebf9..064ed234f 100755
--- a/source/t/texlive/texlive.SlackBuild
+++ b/source/t/texlive/texlive.SlackBuild
@@ -2,7 +2,7 @@
# TeXLive build script for Slackware
-# Copyright 2009, 2017 - 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2017 - 2021 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2009 - 2014 Robby Workman, Northport, AL, USA
# Copyright 2016 - 2017 Johannes Schoepfer, Germany
# All rights reserved.
@@ -26,14 +26,15 @@
# URL: ftp://tug.org/historic/systems/texlive/
# Testrelease: ftp://tug.org/texlive/Images/test/
-# Upstream stable fixes: svn://tug.org/texlive/branches/branch2020/Build/source
+# Upstream stable fixes: svn://tug.org/texlive/branches/branch2021/Build/source
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=texlive
-SOURCEVERSION=${SOURCEVERSION:-20200327}
-VERSION=${VERSION:-2020.200608}
-BUILD=${BUILD:-5}
+SOURCEVERSION=${SOURCEVERSION:-20210324}
+TEXMFVERSION=${TEXMFVERSION:-210418}
+VERSION=${VERSION:-2021.$TEXMFVERSION}
+BUILD=${BUILD:-1}
TMP=${TMP:-/tmp}
PKG=$TMP/package-texlive
@@ -67,19 +68,6 @@ else
LIBDIRSUFFIX=""
fi
-TEXMFROOT=/usr/share
-
-# NOTE: Using the system version of poppler will require texlive to be
-# recompiled with pretty much every poppler update, as they almost always
-# bump the shared library version. But sometimes you do what you have
-# to do...
-SYSTEMPOPPLER=${SYSTEMPOPPLER:-NO}
-if [ "$SYSTEMPOPPLER" = "NO" ]; then
- POPPLER="--without-system-poppler --without-system-xpdf"
-else
- POPPLER="--with-system-poppler --with-system-xpdf"
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -89,23 +77,13 @@ cd texlive-$SOURCEVERSION-source || exit 1
chown -R root:root .
chmod -R u+w,go-w,a+rX-st .
-export LANG=C
-export PATH="$PKG/usr/bin:$PATH"
-export LD_LIBRARY_PATH="$PKG/usr/lib${LIBDIRSUFFIX}:$LD_LIBRARY_PATH"
-
-# set TEXMFROOT and TEXMFLOCAL
-sed -i \
- -e "s|^TEXMFROOT.*|TEXMFROOT = $TEXMFROOT|" \
- -e "s|^TEXMFLOCAL.*|TEXMFLOCAL = \$TEXMFROOT/texmf-local|" \
- texk/kpathsea/texmf.cnf
-
-# prevent compiling Xdvi with libXp
-sed -i 's|-lXp ||' texk/xdvik/configure
+# fixes from stable branch
+cat $CWD/patches/fixes-210420.patch | patch -p1 --verbose || exit 1
mkdir build
cd build
CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS -fpermissive" \
+ CXXFLAGS="$SLKCFLAGS" \
../configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -120,7 +98,6 @@ cd build
--disable-multiplatform \
--disable-debug \
--disable-dialog \
- --disable-bibtexu \
--disable-xz \
--with-x \
--disable-dvisvgm \
@@ -143,14 +120,11 @@ cd build
--with-system-fontconfig \
--with-system-ncurses \
--with-system-harfbuzz \
- --disable-aleph \
- --disable-dump-share \
--disable-linked-scripts \
- $POPPLER \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
- # make check || exit 1
+ make check || exit 1
make install-strip DESTDIR=$PKG || exit 1
cd ..
@@ -158,18 +132,22 @@ cd ..
# Don't ship .la files:
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+TEXMFROOT=/usr/share
+
# Remove all files which are covered by tlnet
rm -rf $PKG$TEXMFROOT $PKG/usr/man $PKG/usr/info
# install the tlnet stuff
mkdir -p $PKG$TEXMFROOT
-tar xvf $CWD/texlive-base-$VERSION.tar.xz -C $PKG$TEXMFROOT || exit 1
+tar xvf $CWD/texlive-base-$TEXMFVERSION.tar.xz -C $PKG$TEXMFROOT || exit 1
chown -R root:root $PKG
chmod -R u+w,go-w,a+rX-st $PKG
# use symlinks/scripts from tlnet
mv $PKG$TEXMFROOT/texmf-dist/linked_scripts/* $PKG/usr/bin
rmdir $PKG$TEXMFROOT/texmf-dist/linked_scripts
+# xindy expects to be executed within $TEXMFROOT/texmf-dist/scripts
+ln -sf $TEXMFROOT/texmf-dist/scripts/xindy/xindy.pl $PKG/usr/bin/xindy
# set some paths
sed -i \
@@ -220,12 +198,6 @@ cat $CWD/README.tlpkg > $PKG/usr/doc/texlive-$VERSION/README.tlpkg
# Create some directories to make it clear that they're owned by this package
mkdir -p $PKG$TEXMFROOT/{texmf-config,texmf-var,texmf-local}
-# Use patch for tabu.sty from https://github.com/tabu-fixed/tabu to fix
-# breakage when compiling doxygen:
-( cd $PKG$TEXMFROOT/texmf-dist/tex/latex/tabu
- cat $CWD/patches/tabu.sty.diff | patch -p1 --verbose || exit 1
-) || exit 1
-
# Add texlive perl modules
mkdir -p $PKG/usr/share/perl5
mv $PKG$TEXMFROOT/texmf-dist/scripts/texlive/TeXLive $PKG/usr/share/perl5/